### Function

# FwupdPlugin path_get_symlink_target

since: 2.0.0

#### Declaration [src]

    gchar*
    fu_path_get_symlink_target (
      const gchar* filename,
      GError** error
    )

#### Description [src]

Returns the symlink target.

Available since: 2.0.0

#### Parameters

`filename`

  Type: `const gchar*`

  A path to a symlink.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

Path, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.